### File

`packages/components/eui-calendar/eui-calendar-monthly.component.ts`

### Index

###### Properties
dateString day dayOfWeek Optional events isCurrentMonth Optional isDisabled Optional isFirstDayOfMonth Optional isFuture Optional isLastDayOfMonth Optional isPast Optional isToday Optional isWeekend month Optional weekNumber year

### Properties

dateString
`dateString: `string``
Type : `string`

day
`day: `number``
Type : `number`

dayOfWeek
`dayOfWeek: `number``
Type : `number`

events
`events: `EuiCalendarEvent[]``
Type : `EuiCalendarEvent[]`
Optional

isCurrentMonth
`isCurrentMonth: `boolean``
Type : `boolean`

isDisabled
`isDisabled: `boolean``
Type : `boolean`
Optional

isFirstDayOfMonth
`isFirstDayOfMonth: `boolean``
Type : `boolean`
Optional

isFuture
`isFuture: `boolean``
Type : `boolean`
Optional

isLastDayOfMonth
`isLastDayOfMonth: `boolean``
Type : `boolean`
Optional

isPast
`isPast: `boolean``
Type : `boolean`
Optional

isToday
`isToday: `boolean``
Type : `boolean`
Optional

isWeekend
`isWeekend: `boolean``
Type : `boolean`
Optional

month
`month: `number``
Type : `number`

weekNumber
`weekNumber: `number``
Type : `number`
Optional

year
`year: `number``
Type : `number`

# results matching ""

# No results matching ""